Lavalite package that provides confession management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `confession/confession`.

    "confession/confession": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Confession\Confession\Providers\ConfessionServiceProvider::class,

And also add it to alias

    'Confession'  => Confession\Confession\Facades\Confession::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Confession\\ConfessionTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Confession\Confession\Providers\ConfessionServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Confession\Confession\Providers\ConfessionServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Confession\Confession\Providers\ConfessionServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/confession/{modulename}

**User**

    http://path-to-route-folder/user/confession/{modulename}

**Public**

    http://path-to-route-folder/confessions


### API endpoints

**List**

    http://path-to-route-folder/api/user/confession/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/confession/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/confession/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/confession/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/confession/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/confession/{modulename}/{slug}
    METHOD: GET